Update Service Account
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Path Parameters
idstring
name?string
description?string
isActive?boolean
allowedIps?array<string>
Response Body
application/json
curl -X PATCH "https://api.nrings.io/v1/service-accounts/{id}" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "isActive": false, "allowedIps": [ "string" ]}'{
"id": "string",
"name": "string",
"description": "string",
"isActive": true,
"allowedIps": [
"string"
],
"organizationId": "string",
"createdByUserId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"lastUsedAt": "2019-08-24T14:15:22Z",
"activeTokenCount": 0,
"groupIds": [
"string"
],
"roleIds": [
"string"
]
}